Package: org.apache.groovy.groovysh

## [Groovy] Class ComplexCommandSupport

- org.apache.groovy.groovysh.ComplexCommandSupport

-     abstract class ComplexCommandSupport
      extends CommandSupport

  Support for more complex commands.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected String` | `defaultFunction` |
    `protected List<String>` | `functions` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `do_all`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class CommandSupport` | `aliases, hidden, name, shortcut`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ComplexCommandSupport(Groovysh shell, String name, String shortcut, List<String> comFunctions)`
    `protected ComplexCommandSupport(Groovysh shell, String name, String shortcut, List<String> comFunctions, String defaultFunction)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected List<jline.console.completer.Completer>` | `createCompleters()`
    `` | `Object` | `execute(List<String> args)`
    `` | `protected Object` | `executeFunction(String fname, List<String> args)`
    `` | `protected Closure` | `loadFunction(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Field Detail

    - #### protected final String defaultFunction

    - #### protected final List<String> functions

  - ### Property Detail

    - #### Object do_all

  - ### Constructor Detail

    - #### protected ComplexCommandSupport(Groovysh shell, String name, String shortcut, List<String> comFunctions)

    - #### protected ComplexCommandSupport(Groovysh shell, String name, String shortcut, List<String> comFunctions, String defaultFunction)

  - ### Method Detail

    - #### @Override
      protected List<jline.console.completer.Completer> createCompleters()

    - #### @Override
      Object execute(List<String> args)

    - #### protected Object executeFunction(String fname, List<String> args)

    - #### protected Closure loadFunction(String name)